# eric6.Plugins.WizardPlugins.SetupWizard.SetupWizardDialog

Module implementing the setup.py wizard dialog.

### Global Attributes

None

### Classes

SetupWizardDialog | Class implementing the setup.py wizard dialog.

### Functions

None

## SetupWizardDialog

Class implementing the setup.py wizard dialog.

It displays a dialog for entering the parameters for the E5MessageBox code generator.

### Derived from

QDialog, Ui_SetupWizardDialog

### Class Attributes

ClassifiersUrl

### Class Methods

None

### Methods

SetupWizardDialog | Constructor
__addClassifierEntry | Private method to add a new entry to the list of trove classifiers.
__addPackage | Private method to add a package to the list.
__classifiersDownloadDone | Private slot called, after the classifiers file has been downloaded from the internet.
__enableOkButton | Private slot to set the state of the OK button.
__getLicenseText | Private method to get the license text.
__getStartDir | Private method to get the start directory for selection dialogs.
__loadClassifiersFromPyPI | Private method to populate the classifiers list with data retrieved from PyPI.
__populateClassifiers | Private method to populate the classifiers.
getCode | Public method to get the source code.
on_addExludePatternButton_clicked | Private slot to add an exclude pattern to the list.
on_addModuleButton_clicked | Private slot to add Python modules to the list.
on_addPackageButton_clicked | Private slot to add a package to the list.
on_addScriptButton_clicked | Private slot to add scripts to the list.
on_autodiscoverPackagesButton_clicked | Private slot to discover packages automatically.
on_deleteExcludePatternButton_clicked | Private slot to delete the selected exclude pattern items.
on_deleteModuleButton_clicked | Private slot to delete the selected script items.
on_deletePackageButton_clicked | Private slot to delete the selected package items.
on_deleteScriptButton_clicked | Private slot to delete the selected script items.
on_excludePatternEdit_returnPressed | Private slot handling a press of the return button of the exclude pattern edit.
on_excludePatternEdit_textChanged | Private slot to handle a change of the exclude pattern text.
on_excludePatternList_itemSelectionChanged | Private slot to handle a change of selected items of the exclude pattern list.
on_localClassifiersButton_clicked | Private method to populate lists from the Trove list file.
on_modulesList_itemSelectionChanged | Private slot to handle a change of selected items of the modules list.
on_packageDirButton_clicked | Private slot to select a package directory via a directory selection dialog.
on_packageEdit_returnPressed | Private slot handling a press of the return button of the package edit.
on_packageEdit_textChanged | Private slot to handle a change of the package text.
on_packageRootDirButton_clicked | Private slot to select the packages root directory via a directory selection dialog.
on_packageRootEdit_textChanged | Private slot handling the entering of a packages root.
on_packagesList_itemSelectionChanged | Private slot to handle a change of selected items of the packages list.
on_projectButton_clicked | Private slot to populate some fields with data retrieved from the current project.
on_scriptsList_itemSelectionChanged | Private slot to handle a change of selected items of the scripts list.
on_sourceDirectoryButton_clicked | Private slot to select the packages root directory via a directory selection dialog.
on_variantComboBox_currentIndexChanged | Private slot handling a change of the setup variant.

### Static Methods

None

#### SetupWizardDialog (Constructor)

SetupWizardDialog(parent=None)

Constructor

parent
  reference to the parent widget (QWidget)

#### SetupWizardDialog.__addClassifierEntry

__addClassifierEntry(line)

Private method to add a new entry to the list of trove classifiers.

line
  line containing the data for the entry (string)

#### SetupWizardDialog.__addPackage

__addPackage(pkgDir)

Private method to add a package to the list.

pkgDir
  name of the package directory (string)

#### SetupWizardDialog.__classifiersDownloadDone

__classifiersDownloadDone(reply)

Private slot called, after the classifiers file has been downloaded from the internet.

reply (QNetworkReply)
  reference to the network reply

#### SetupWizardDialog.__enableOkButton

__enableOkButton()

Private slot to set the state of the OK button.

#### SetupWizardDialog.__getLicenseText

__getLicenseText()

Private method to get the license text.

Returns:
  license text (string)

#### SetupWizardDialog.__getStartDir

__getStartDir()

Private method to get the start directory for selection dialogs.

Returns:
  start directory (string)

#### SetupWizardDialog.__loadClassifiersFromPyPI

__loadClassifiersFromPyPI()

Private method to populate the classifiers list with data retrieved from PyPI.

#### SetupWizardDialog.__populateClassifiers

__populateClassifiers(classifiers)

Private method to populate the classifiers.

classifiers (list of str)
  list of classifiers read from a local file or retrieved from PyPI

#### SetupWizardDialog.getCode

getCode(indLevel, indString)

Public method to get the source code.

indLevel
  indentation level (int)
indString
  string used for indentation (space or tab) (string)

Returns:
  generated code (string)

#### SetupWizardDialog.on_addExludePatternButton_clicked

on_addExludePatternButton_clicked()

Private slot to add an exclude pattern to the list.

#### SetupWizardDialog.on_addModuleButton_clicked

on_addModuleButton_clicked()

Private slot to add Python modules to the list.

#### SetupWizardDialog.on_addPackageButton_clicked

on_addPackageButton_clicked()

Private slot to add a package to the list.

#### SetupWizardDialog.on_addScriptButton_clicked

on_addScriptButton_clicked()

Private slot to add scripts to the list.

#### SetupWizardDialog.on_autodiscoverPackagesButton_clicked

on_autodiscoverPackagesButton_clicked()

Private slot to discover packages automatically.

#### SetupWizardDialog.on_deleteExcludePatternButton_clicked

on_deleteExcludePatternButton_clicked()

Private slot to delete the selected exclude pattern items.

#### SetupWizardDialog.on_deleteModuleButton_clicked

on_deleteModuleButton_clicked()

Private slot to delete the selected script items.

#### SetupWizardDialog.on_deletePackageButton_clicked

on_deletePackageButton_clicked()

Private slot to delete the selected package items.

#### SetupWizardDialog.on_deleteScriptButton_clicked

on_deleteScriptButton_clicked()

Private slot to delete the selected script items.

#### SetupWizardDialog.on_excludePatternEdit_returnPressed

on_excludePatternEdit_returnPressed()

Private slot handling a press of the return button of the exclude pattern edit.

#### SetupWizardDialog.on_excludePatternEdit_textChanged

on_excludePatternEdit_textChanged(txt)

Private slot to handle a change of the exclude pattern text.

txt
  text of the line edit (string)

#### SetupWizardDialog.on_excludePatternList_itemSelectionChanged

on_excludePatternList_itemSelectionChanged()

Private slot to handle a change of selected items of the exclude pattern list.

#### SetupWizardDialog.on_localClassifiersButton_clicked

on_localClassifiersButton_clicked()

Private method to populate lists from the Trove list file.

Note: The trove list file was created from querying "https://pypi.org/pypi?%3Aaction=list_classifiers".

#### SetupWizardDialog.on_modulesList_itemSelectionChanged

on_modulesList_itemSelectionChanged()

Private slot to handle a change of selected items of the modules list.

#### SetupWizardDialog.on_packageDirButton_clicked

on_packageDirButton_clicked()

Private slot to select a package directory via a directory selection dialog.

#### SetupWizardDialog.on_packageEdit_returnPressed

on_packageEdit_returnPressed()

Private slot handling a press of the return button of the package edit.

#### SetupWizardDialog.on_packageEdit_textChanged

on_packageEdit_textChanged(txt)

Private slot to handle a change of the package text.

txt
  text of the line edit (string)

#### SetupWizardDialog.on_packageRootDirButton_clicked

on_packageRootDirButton_clicked()

Private slot to select the packages root directory via a directory selection dialog.

#### SetupWizardDialog.on_packageRootEdit_textChanged

on_packageRootEdit_textChanged(txt)

Private slot handling the entering of a packages root.

txt
  text of the line edit (string)

#### SetupWizardDialog.on_packagesList_itemSelectionChanged

on_packagesList_itemSelectionChanged()

Private slot to handle a change of selected items of the packages list.

#### SetupWizardDialog.on_projectButton_clicked

on_projectButton_clicked()

Private slot to populate some fields with data retrieved from the current project.

#### SetupWizardDialog.on_scriptsList_itemSelectionChanged

on_scriptsList_itemSelectionChanged()

Private slot to handle a change of selected items of the scripts list.

#### SetupWizardDialog.on_sourceDirectoryButton_clicked

on_sourceDirectoryButton_clicked()

Private slot to select the packages root directory via a directory selection dialog.

#### SetupWizardDialog.on_variantComboBox_currentIndexChanged

on_variantComboBox_currentIndexChanged(index)

Private slot handling a change of the setup variant.

index
  index of the selected entry (integer)

Up